import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDnsimpleCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
    * Certificate ID
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/dnsimple/dnsimple/1.0.0/docs/data-sources/certificate#certificate_id DataDnsimpleCertificate#certificate_id}
    */
    readonly certificateId: number;
    /**
    * Domain name
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/dnsimple/dnsimple/1.0.0/docs/data-sources/certificate#domain DataDnsimpleCertificate#domain}
    */
    readonly domain: string;
}
/**
* Represents a {@link https://registry.terraform.io/providers/dnsimple/dnsimple/1.0.0/docs/data-sources/certificate dnsimple_certificate}
*/
export declare class DataDnsimpleCertificate extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "dnsimple_certificate";
    /**
    * Create a new {@link https://registry.terraform.io/providers/dnsimple/dnsimple/1.0.0/docs/data-sources/certificate dnsimple_certificate} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDnsimpleCertificateConfig
    */
    constructor(scope: Construct, id: string, config: DataDnsimpleCertificateConfig);
    get certificateChain(): string[];
    private _certificateId?;
    get certificateId(): number;
    set certificateId(value: number);
    get certificateIdInput(): number | undefined;
    private _domain?;
    get domain(): string;
    set domain(value: string);
    get domainInput(): string | undefined;
    get id(): string;
    get privateKey(): string;
    get rootCertificate(): string;
    get serverCertificate(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
